import { CompletionsHandlers, StreamHandlers } from '../serviceIO';
import { AssemblyAIResult } from '../../types/assemblyAIResult';
import { Messages } from '../../views/chat/messages/messages';
import { BaseServideIO } from '../utils/baseServiceIO';
import { AiAssistant } from '../../aiAssistant';
import { Result } from '../../types/result';
export declare class AssemblyAIAudioIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    introPanelMarkUp: string;
    url: string;
    isTextInputDisabled: boolean;
    textInputPlaceholderText: string;
    permittedErrorPrefixes: Set<string>;
    constructor(aiAssistant: AiAssistant);
    private static canFileSendMessage;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers, _: StreamHandlers, files?: File[]): void;
    extractResultData(result: AssemblyAIResult): Promise<Result>;
}
//# sourceMappingURL=assemblyAIAudioIO.d.ts.map