import { ServiceCallConfig } from '../../types/requestSettings';
import { BaseServideIO } from '../utils/baseServiceIO';
import { GenericObject } from '../../types/object';
import { FILE_TYPES } from '../../types/fileTypes';
import { AzureEndpoint } from '../../types/azure';
import { AiAssistant } from '../../aiAssistant';
type BuildHeadersFunc = (key: string) => GenericObject<string>;
type AzureServiceConfig = AzureEndpoint & ServiceCallConfig;
export declare class AzureLanguageIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    constructor(aiAssistant: AiAssistant, buildHeadersFunc: BuildHeadersFunc, config: AzureServiceConfig, fileType?: FILE_TYPES);
}
export {};
//# sourceMappingURL=azureLanguageIO.d.ts.map