import { AzureTranslationResult } from '../../types/azureResult';
import { Messages } from '../../views/chat/messages/messages';
import { BaseServideIO } from '../utils/baseServiceIO';
import { MessageContent } from '../../types/messages';
import { CompletionsHandlers } from '../serviceIO';
import { AiAssistant } from '../../aiAssistant';
import { Result } from '../../types/result';
export declare class AzureTranslationIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    url: string;
    constructor(aiAssistant: AiAssistant);
    preprocessBody(messages: MessageContent[]): {
        Text: string;
    }[] | undefined;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers): void;
    extractResultData(result: AzureTranslationResult): Promise<Result>;
}
//# sourceMappingURL=azureTranslationIO.d.ts.map