import { HuggingFaceQuestionAnswerConfig, HuggingFaceConversationConfig } from '../../types/huggingFace';
import { HuggingFaceConversationResult } from '../../types/huggingFaceResult';
import { MessageContent } from '../../types/messages';
import { HuggingFaceIO } from './huggingFaceIO';
import { AiAssistant } from '../../aiAssistant';
import { Result } from '../../types/result';
export declare class HuggingFaceConversationIO extends HuggingFaceIO<HuggingFaceConversationConfig> {
    private readonly _total_messages_max_char_length?;
    private readonly _max_messages?;
    constructor(aiAssistant: AiAssistant);
    private processMessages;
    preprocessBody(body: HuggingFaceQuestionAnswerConfig, messages: MessageContent[]): {
        inputs: string;
    } | undefined;
    extractResultData(result: HuggingFaceConversationResult): Promise<Result>;
}
//# sourceMappingURL=huggingFaceConversationIO.d.ts.map