import { CompletionsHandlers, StreamHandlers } from '../serviceIO';
import { ServiceCallConfig } from '../../types/requestSettings';
import { Messages } from '../../views/chat/messages/messages';
import { HuggingFaceModel } from '../../types/huggingFace';
import { MessageContent } from '../../types/messages';
import { FILE_TYPES } from '../../types/fileTypes';
import { HuggingFaceIO } from './huggingFaceIO';
import { AiAssistant } from '../../aiAssistant';
export declare class HuggingFaceFileIO extends HuggingFaceIO {
    isTextInputDisabled: boolean;
    constructor(aiAssistant: AiAssistant, placeholderText: string, defaultModel: string, config: true | (HuggingFaceModel & ServiceCallConfig), fileType: FILE_TYPES);
    private static canSendFile;
    preprocessBody(_: {}, __: MessageContent[], files: File[]): {
        inputs: string;
    };
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers, _: StreamHandlers, files?: File[]): void;
}
//# sourceMappingURL=huggingFaceFileIO.d.ts.map