import { CompletionsHandlers, StreamHandlers } from '../serviceIO';
import { OpenAIConverseResult } from '../../types/openAIResult';
import { Messages } from '../../views/chat/messages/messages';
import { BaseServideIO } from '../utils/baseServiceIO';
import { AiAssistant } from '../../aiAssistant';
import { Result } from '../../types/result';
export declare class OpenAICompletionsIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    url: string;
    private readonly _maxCharLength;
    private readonly full_transaction_max_tokens;
    private readonly numberOfCharsPerToken;
    private readonly _raw_body;
    constructor(aiAssistant: AiAssistant);
    private preprocessBody;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers, streamHandlers: StreamHandlers): void;
    extractResultData(result: OpenAIConverseResult): Promise<Result>;
}
//# sourceMappingURL=openAICompletionsIO.d.ts.map