import { CompletionsHandlers, StreamHandlers } from '../serviceIO';
import { Messages } from '../../views/chat/messages/messages';
import { OpenAIImageResult } from '../../types/openAIResult';
import { BaseServideIO } from '../utils/baseServiceIO';
import { AiAssistant } from '../../aiAssistant';
import { Result } from '../../types/result';
export declare class OpenAIImagesIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    private static readonly IMAGE_GENERATION_URL;
    private static readonly IMAGE_VARIATIONS_URL;
    private static readonly IMAGE_EDIT_URL;
    introPanelMarkUp: string;
    url: string;
    permittedErrorPrefixes: Set<string>;
    private readonly _maxCharLength;
    private readonly _raw_body;
    constructor(aiAssistant: AiAssistant);
    private static canFileSendMessage;
    private static cleanConfig;
    private static createFormDataBody;
    private preprocessBody;
    private callApiWithImage;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers, _: StreamHandlers, files?: File[]): void;
    extractResultData(result: OpenAIImageResult): Promise<Result>;
}
//# sourceMappingURL=openAIImagesIO.d.ts.map