import { ButtonStyles, ButtonPosition } from './button';
import { FilesUploader } from './fileServiceConfigs';
export interface MicrophoneStyles {
    default?: ButtonStyles;
    active?: ButtonStyles;
    unsupported?: ButtonStyles;
    position?: ButtonPosition;
}
export type Microphone = true | MicrophoneStyles;
export type AudioFormat = 'mp3' | '4a' | 'webm' | 'mp4' | 'mpga' | 'wav' | 'mpeg' | 'm4a';
export type AudioFiles = FilesUploader & {
    microphone?: true | {
        styles?: MicrophoneStyles;
        maxDurationSeconds?: number;
        format?: AudioFormat;
    };
};
export interface AudioRecordingFiles {
    format?: AudioFormat;
    acceptedFormats?: string;
    maxNumberOfFiles?: number;
    maxDurationSeconds?: number;
}
//# sourceMappingURL=microphone.d.ts.map