import { Messages } from '../../views/chat/messages/messages';
import { ServiceIO } from '../../services/serviceIO';
export type HandleVerificationResult = (result: object, key: string, onSuccess: (key: string) => void, onFail: (message: string) => void) => void;
type Finish = () => void;
export declare class HTTPRequest {
    static request(io: ServiceIO, body: object, messages: Messages, onFinish: Finish, stringifyBody?: boolean): void;
    static requestStream(io: ServiceIO, body: object, messages: Messages, onOpen: () => void, onClose: () => void, abortStream: AbortController, stringifyBody?: boolean): void;
    static executePollRequest(io: ServiceIO, url: string, requestInit: RequestInit, messages: Messages, onFinish: Finish): void;
    static poll(io: ServiceIO, body: object, messages: Messages, onFinish: Finish, stringifyBody?: boolean): void;
    static verifyKey(key: string, url: string, headers: HeadersInit, method: string, onSuccess: (key: string) => void, onFail: (message: string) => void, onLoad: () => void, handleVerificationResult: HandleVerificationResult, body?: string): void;
    private static processResponseByType;
}
export {};
//# sourceMappingURL=HTTPRequest.d.ts.map