import { ServiceCallConfig } from '../../types/requestSettings';
import { BaseServideIO } from '../utils/baseServiceIO';
import { GenericObject } from '../../types/object';
import { FILE_TYPES } from '../../types/fileTypes';
import { AiAssistant } from '../../aiAssistant';
import { AzureRegion } from '../../types/azure';
type BuildHeadersFunc = (key: string) => GenericObject<string>;
type AzureServiceConfig = AzureRegion & ServiceCallConfig;
export declare class AzureSpeechIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    constructor(aiAssistant: AiAssistant, buildHeadersFunc: BuildHeadersFunc, config: AzureServiceConfig, fileType?: FILE_TYPES);
}
export {};
//# sourceMappingURL=azureSpeechIO.d.ts.map