import { CompletionsHandlers, StreamHandlers } from '../serviceIO';
import { AzureSpeechToTextResult } from '../../types/azureResult';
import { Messages } from '../../views/chat/messages/messages';
import { AiAssistant } from '../../aiAssistant';
import { AzureSpeechIO } from './azureSpeechIO';
import { Result } from '../../types/result';
export declare class AzureSpeechToTextIO extends AzureSpeechIO {
    private static readonly HELP_LINK;
    introPanelMarkUp: string;
    url: string;
    isTextInputDisabled: boolean;
    textInputPlaceholderText: string;
    constructor(aiAssistant: AiAssistant);
    private static canFileSendMessage;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers, _: StreamHandlers, files?: File[]): void;
    extractResultData(result: AzureSpeechToTextResult): Promise<Result>;
}
//# sourceMappingURL=azureSpeechToTextIO.d.ts.map