import { AzureTextToSpeechConfig } from '../../types/azure';
import { AzureTextToSpeechResult } from '../../types/azureResult';
import { Messages } from '../../views/chat/messages/messages';
import { MessageContent } from '../../types/messages';
import { CompletionsHandlers } from '../serviceIO';
import { AiAssistant } from '../../aiAssistant';
import { AzureSpeechIO } from './azureSpeechIO';
import { Result } from '../../types/result';
export declare class AzureTextToSpeechIO extends AzureSpeechIO {
    private static readonly HELP_LINK;
    introPanelMarkUp: string;
    url: string;
    private readonly _raw_body;
    constructor(aiAssistant: AiAssistant);
    preprocessBody(body: AzureTextToSpeechConfig, messages: MessageContent[]): string | undefined;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers): void;
    extractResultData(result: AzureTextToSpeechResult): Promise<Result>;
}
//# sourceMappingURL=azureTextToSpeechIO.d.ts.map