import { HuggingFaceQuestionAnswerConfig } from '../../types/huggingFace';
import { HuggingFaceQuestionAnswerResult } from '../../types/huggingFaceResult';
import { MessageContent } from '../../types/messages';
import { HuggingFaceIO } from './huggingFaceIO';
import { AiAssistant } from '../../aiAssistant';
import { Result } from '../../types/result';
export declare class HuggingFaceQuestionAnswerIO extends HuggingFaceIO<HuggingFaceQuestionAnswerConfig> {
    permittedErrorPrefixes: Set<string>;
    private readonly context;
    constructor(aiAssistant: AiAssistant);
    preprocessBody(_: HuggingFaceQuestionAnswerConfig, messages: MessageContent[]): {
        inputs: string;
    } | undefined;
    extractResultData(result: HuggingFaceQuestionAnswerResult): Promise<Result>;
}
//# sourceMappingURL=huggingFaceQuestionAnswerIO.d.ts.map