import { ServiceCallConfig } from './requestSettings';
import { FilesUploader } from './fileServiceConfigs';
export interface AzureTranslationConfig {
    language?: string;
}
export interface AzureSummarizationConfig {
    language?: string;
}
export interface AzureEndpoint {
    endpoint: string;
}
export interface AzureSpeechToTextConfig {
    lang?: string;
}
export interface AzureTextToSpeechConfig {
    outputFormat?: string;
    lang?: string;
    gender?: string;
    name?: string;
}
export interface AzureRegion {
    region: string;
}
export interface Azure {
    textToSpeech?: ServiceCallConfig & AzureRegion & AzureTextToSpeechConfig;
    speechToText?: ServiceCallConfig & AzureRegion & AzureSpeechToTextConfig & FilesUploader;
    summarization?: ServiceCallConfig & AzureEndpoint & AzureSummarizationConfig;
    translation?: ServiceCallConfig & Partial<AzureRegion> & AzureTranslationConfig;
}
//# sourceMappingURL=azure.d.ts.map