import { DefinedButtonStateStyles } from '../../../../../types/buttonInternal';
import { MicrophoneStyles } from '../../../../../types/microphone';
import { InputButton } from '../inputButton';
type Styles = DefinedButtonStateStyles<MicrophoneStyles>;
export declare class MicrophoneButton extends InputButton<Styles> {
    private readonly _innerElements;
    isActive: boolean;
    constructor(styles?: MicrophoneStyles);
    private createInnerElements;
    private createInnerElement;
    private static createMicrophoneElement;
    private static createSVGIconElement;
    changeToActive(): void;
    changeToDefault(): void;
    changeToUnsupported(): void;
    private toggleIconFilter;
}
export {};
//# sourceMappingURL=microphoneButton.d.ts.map