import { Microphone } from '../../../../../types/microphone';
import { TextInputEl } from '../../textInput/textInput';
import { Messages } from '../../../messages/messages';
import { MicrophoneButton } from './microphoneButton';
export type AddErrorMessage = Messages['addNewErrorMessage'];
export declare class SpeechToText extends MicrophoneButton {
    private readonly _recognition?;
    private readonly _textInput;
    private readonly _interimTextSpan;
    private readonly _finalTextSpan;
    private _interimTranscript;
    private _finalTranscript;
    private prefixText;
    private readonly _addErrorMessage;
    constructor(microphone: Microphone, textInput: TextInputEl, addErrorMessage: AddErrorMessage);
    private buttonClick;
    private onResult;
    private start;
    private recordingStarted;
    private static isCharASpace;
    private prepareInputText;
    private appendSpans;
    private processText;
    private static capitalizeFirstLetter;
    private stop;
    private recordingEnded;
    private finaliseInputText;
    private resetTranscript;
    private onError;
}
//# sourceMappingURL=speechToText.d.ts.map