import { MessageStyles } from '../../../types/messages';
import { MessageFile } from '../../../types/messageFile';
import { MessageElements, Messages } from './messages';
export declare class FileMessageUtils {
    static readonly DEFAULT_FILE_NAME = "file";
    static updateMessages(messages: Messages, elements: MessageElements, data: MessageFile, styles: keyof MessageStyles, isAI: boolean, isInitial?: boolean): void;
    private static wrapInLink;
    static processContent(contentEl: HTMLElement, url?: string): HTMLElement;
    static scrollDownWhenMetaDataLoaded(url: string, messagesContainerEl: HTMLElement): void;
}
//# sourceMappingURL=fileMessageUtils.d.ts.map